

rates=spectrum.dissociation_rates;
spec=spectrum.Spectrum;
m1=monoexponential.dissociation_rate;
m2=0.5;
n1=twoexponential.dissociation_rates;
n2=twoexponential.Amplitudes;
o1=threeexponential.dissociation_rates;
o2=threeexponential.Amplitudes;
figure(1)

errorbar(data{1,1},data{1,2}/data{1,2}(2),data{1,2}/data{1,2}(2)^2*(sqrt(data{1,2}(2)))+sqrt(data{1,2})/data{1,2}(2),'o','color',[0.45 0.45 0.45])
hold all;
errorbar(data{2,1},data{2,2}/data{2,2}(2),data{2,2}/data{2,2}(2)^2*(sqrt(data{2,2}(2)))+sqrt(data{2,2})/data{2,2}(2),'o','color',[0.45 0.45 0.45])
 hold all;
errorbar(data{3,1},data{3,2}/data{3,2}(2),data{3,2}/data{3,2}(2)^2*(sqrt(data{3,2}(2)))+sqrt(data{3,2})/data{3,2}(2),'o','color',[0.5 0.5 0.5])
hold all;
errorbar(data{4,1},data{4,2}/data{4,2}(2),data{4,2}/data{4,2}(2)^2*(sqrt(data{4,2}(2)))+sqrt(data{4,2})/data{4,2}(2),'o','color',[0.7 0.7 0.7])

plot(data{1,1},serie(data{1,1},spectrum.dissociation_rates,spectrum.Spectrum,spectrum.bleachingnumber_1),'LineWidth',2,'color','r')
hold all;
plot(data{2,1},serie(data{2,1},spectrum.dissociation_rates,spectrum.Spectrum,spectrum.bleachingnumber_1),'LineWidth',2,'color','r')
 hold all;
 plot(data{3,1},serie(data{3,1},spectrum.dissociation_rates,spectrum.Spectrum,spectrum.bleachingnumber_1),'LineWidth',2,'color','r')
hold all;
plot(data{4,1},serie(data{4,1},spectrum.dissociation_rates,spectrum.Spectrum,spectrum.bleachingnumber_1),'LineWidth',2,'color','r')

ks=threeexponential.dissociation_rates;
as=threeexponential.Amplitudes;
bs=threeexponential.bleachingnumber_1;

plot(data{1,1},serie(data{1,1},ks,as,bs),'LineWidth',1,'color',[0 0 0.7])
hold all;
plot(data{2,1},serie(data{2,1},ks,as,bs),'LineWidth',1,'color',[0 0 0.7])
hold all;
plot(data{3,1},serie(data{3,1},ks,as,bs),'LineWidth',1,'color',[0 0 0.7])
hold all;
plot(data{4,1},serie(data{4,1},ks,as,bs),'LineWidth',1,'color',[0 0 0.7])

ylim([0.01 5])
xlim([0.03 500])
set(gca, 'XScale', 'log', 'YScale', 'log','fontsize',12,'linewidth',1.5,'TickLength',[0.02 0.02])

function [result]=serie(x,k, amplitudes, bleach)
f=0;
for i=1:length(amplitudes)
    f=f+amplitudes(i)*exp(-x*k(i));
end
  b=exp(-bleach/x(1)*x);
  result=b.*f; 
  result=result/result(2);
end